#include "sys/types.h"
#include "sys/stream.h"
#include "sys/socket.h"
#include "/etc/conf/cf.d/config.h"



/* interrupt level per board  */

#if defined(D50E3_UNITS)

#define ND50EUNIT (D50E3_UNITS+D50E2_UNITS+D50E1_UNITS+D50E_UNITS)

ulong de500intl[ND50EUNIT] =

	{ D50E_0_VECT,D50E1_0_VECT,D50E2_0_VECT,D50E3_0_VECT };

ulong de500ioaddr[ND50EUNIT] =

	{ D50E_0_SIOA,D50E1_0_SIOA,D50E2_0_SIOA,D50E3_0_SIOA };

#elif defined(D50E2_UNITS)

#define ND50EUNIT (D50E2_UNITS+D50E1_UNITS+D50E_UNITS)

ulong de500intl[ND50EUNIT] =

	{ D50E_0_VECT,D50E1_0_VECT,D50E2_0_VECT };

ulong de500ioaddr[ND50EUNIT] =

	{ D50E_0_SIOA,D50E1_0_SIOA,D50E2_0_SIOA };

#elif defined(D50E1_UNITS)

#define ND50EUNIT (D50E1_UNITS+D50E_UNITS)

ulong de500intl[ND50EUNIT] = { D50E_0_VECT,D50E1_0_VECT };

ulong de500ioaddr[ND50EUNIT] = { D50E_0_SIOA,D50E1_0_SIOA };

#elif defined(D50E_UNITS)

#define ND50EUNIT D50E_UNITS

ulong de500intl[ND50EUNIT] = { D50E_0_VECT };

ulong de500ioaddr[ND50EUNIT] = { D50E_0_SIOA };

#endif



ulong DE500_BOARDS = ND50EUNIT;

